Arch API

From FreeCAD Documentation
Jump to: navigation, search
Other languages:
Deutsch • ‎English • ‎français • ‎hrvatski • ‎italiano • ‎română • ‎Türkçe
(November 2018) The Arch API is listed in the autogenerated API documentation.


The functions of the API are part of the Arch Workbench and can be used in macros and from the Python console once the Arch module has been imported. The Reinforcement Addon has its own Reinforcement API.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)